# Rise Auth Foundation

## Install
```
npm i rise-auth-foundation
```

## Usage

### createPasswordHash
```js
import { createPasswordHash } from 'rise-auth-foundation'
const hash = createPasswordHash('12341234')
```

### validatePassword
```js
import { validatePassword } from 'rise-auth-foundation'
const isValid = validatePassword('12341234', hash)
```

### makeSessionId
```js
import { makeSessionId } from 'rise-auth-foundation'
const sessionId = makeSessionId()
```

### setCookieHttpResponse
```js
import { setCookieHttpResponse } from 'rise-auth-foundation'
export const handler = async () => {
    const sessionId = '123...'
    return setCookieHttpResponse(sessionId)
}
```

### getSessionCookieFromtApiEvent
```js
import { getSessionCookieFromtApiEvent } from 'rise-auth-foundation'
export const handler = async (e) => {
    const sessionId = getSessionCookieFromtApiEvent(e)
}
```